dbXML API

## org.dbxml.core.security
Class InvalidPasswordException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.dbxml.server.dbXMLException
                        |
                        +--org.dbxml.core.DBException
                              |
                              +--org.dbxml.core.security.SecurityException
                                    |
                                    +--org.dbxml.core.security.InvalidPasswordException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidPasswordException
extends SecurityException

A InvalidPasswordException is thrown if access is denied to a resource within the database.

See Also:
  Serialized Form

Fields inherited from class org.dbxml.core.DBException
`faultCode`

Constructor Summary
`InvalidPasswordException()`
`InvalidPasswordException(java.lang.String message)`

Methods inherited from class org.dbxml.server.dbXMLException
`getWrappedThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPasswordException

    public InvalidPasswordException()

### InvalidPasswordException

    public InvalidPasswordException(java.lang.String message)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved